# <%= appTitle %> - Playable ad


## Installation
1. Clone this repository.
2. Download and install [Node.js](http://nodejs.org/).
3. Install dependencies using command `npm i` from project root folder.


## Build & run
_To build project please run one of following commands:_

1. `npm run build` - Build project. Files will be placed to **build** directory.
2. `npm start` - Build project for development mode and run watchers.

_To get access to web server just open [http://localhost:8080](http://localhost:8080) in your favorite browser._


## Directory structure
```
.
├── build               --> Built broject will be placed here.
├── gulp                --> Gulp tasks.
├── node_modules        --> 3rd party dependencies.
├── src                 --> Project sources.
│   ├── configs         --> Contains game configuration files.
│   ├── fonts           --> Game fonts.
│   ├── images          --> Images, sprites.
│   ├── l10n            --> Localizations.
│   ├── prefabs         --> Prefabs.
│   ├── states          --> States of the game (boot, game process, game-over, etc).
│   ├── index.html      --> Main HTML file.
│   ├── main.js         --> Main javascript file.
│   ├── resources.js    --> Resources of PA defined in this file.
├── tmp                 --> Temporary files.
├── .babelrc            --> Babel settings.
├── .editorconfig       --> Basic configuration for an editor.
├── .gitignore          --> Git ignore file.
├── builder.json        --> Builder settings. You can setup inside this file which build of phaser to use.
├── gulpfile.js         --> Gulp settings.
├── package.json        --> Describes NPM dependencies.
├── README.md           --> This file.
```


## Notes
#### Builder
1. You can setup which build of __Phaser__ to use in file `builder.json`.
  If your game not using physics - just use `phaser-ce/build/custom/phaser-no-physics.js`

#### Config
1. Configuration files locate in `/src/configs` directory.
2. Default configuration file is `config1.json`.

#### Localization
1. Localization files locate in `/src/l10n` directory.
2. Default localization file is `en.json`
3. You can change font settings directly in text string.

##### Localization string example:
"This is test string###s:20pt,w:400,l:1.5"
1. f - font family
2. s - font size
3. w - font weight
4. l - letter spacing

#### Testing

You can include following strings into html page to have ability to change settings.

```html
<script>
  var TEST_CONFIG = "config1";
  var TEST_LOC = "en";
</script>
```
