const gulp = require('gulp-4.0.build');
const rename = require('gulp-rename');
const uglify = require('gulp-uglify');
const builder = require('../builder.json');

gulp.task('copy:tmp', (done) => {
  gulp.src('./node_modules/playable-ads-wrapper/dist/wrapper.html')
    .pipe(gulp.dest('./tmp/'));

  gulp.src('./node_modules/playable-ads-libs/dist/atom-sdk.js')
    .pipe(uglify())
    .pipe(gulp.dest('./tmp/'));

  gulp.src('./node_modules/playable-ads-libs/dist/dapi.js')
    .pipe(uglify())
    .pipe(gulp.dest('./tmp/'));

  gulp.src(`./node_modules/${builder.phaser}`)
    .pipe(rename('phaser.js'))
    .pipe(gulp.dest('./tmp/'))
    .on('end', () => done());
});

gulp.task('copy:build', (done) => {
  gulp.src('./node_modules/playable-ads-wrapper/dist/wrapper.html')
    .pipe(gulp.dest('./build/'))
    .on('end', () => done());
});

gulp.task('copy:readme', (done) => {
  gulp.src('./tmp/README.md')
    .pipe(gulp.dest('./build/'))
    .on('end', () => done());
});
