const gulp = require('gulp-4.0.build');
const packageJson = require('../package.json');
const fs = require('fs');
const path = require('path');
const archiver = require('archiver');

gulp.task('zip', (done) => {
  const output = fs.createWriteStream(path.join(__dirname, '../build', `${packageJson.name}_v${packageJson.version}.zip`));
  const archive = archiver('zip', {zlib: {level: 9}});

  output.on('close', () => {
    console.log(archive.pointer() + ' total bytes');
    console.log('Project was successfully zipped');
    done();
  });

  archive.on('warning', (err) => {
    if (err.code === 'ENOENT') {
      // log warning
    } else {
      // throw error
      throw err;
    }
  });

  archive.on('error', (err) => {
    throw err;
  });

  archive.pipe(output);

  archive.file('build/index.html', {name: 'index.html'});
  archive.file('build/wrapper.html', {name: 'wrapper.html'});
  archive.file('build/index_preview.html', {name: 'index_preview.html'});
  archive.file('build/README.md', {name: 'README.md'});

  archive.finalize();
});
