export default class InstallButton {
  constructor(game, x, y, btnText, onClickCallback) {
    this.game = game;

    this.width = 200;
    this.height = 50;

    const bg = this.game.add.graphics(x, y)
      .beginFill(0x00cc00, 1)
      .drawRoundedRect(this.width / -2, this.height / -2, this.width, this.height, 10)
      .endFill();
    bg.anchor.setTo(0.5);
    bg.inputEnabled = true;
    bg.events.onInputDown.add(() => onClickCallback(), this);

    const text = this.game.add.text(x, y + 4, '');
    text.anchor.setTo(0.5);
    text.font = 'GudeaRegular';
    text.letterSpacing = 1.2;
    text.fontSize = 24;
    text.fontWeight = 100;
    text.addColor('#ffffff', 0);
    this.game.l10n.localize(text, btnText);

    setInterval(() => {
      this.game.add.tween(bg.scale).from({x: 1.05, y: 1.05}, 1000, Phaser.Easing.Bounce.Out, true);
      this.game.add.tween(text.scale).from({x: 1.05, y: 1.05}, 1000, Phaser.Easing.Bounce.Out, true);
    }, 1500);

    this.group = this.game.add.group();
    this.group.add(bg);
    this.group.add(text);
  }

  hide() {
    this.group.visible = false;
  }

  show() {
    this.group.visible = true;
  }
}
