import {atom} from 'playable-ads-libs';

import InstallButton from '../prefabs/install-button';

export default class Game extends Phaser.State {
  create() {
    atom.gameStarted();

    // Background image
    const bg = this.game.add.sprite(0, 0, 'bgMain');
    bg.top = (bg.height - this.game.world.height) / -2;

    // IronSource logo
    const logo = this.game.add.sprite(20, this.game.world.centerY - 240, 'isWatermark');
    logo.alpha = 0.5;

    // Install button
    new InstallButton(
      this.game,
      this.game.world.centerX,
      this.game.world.centerY - 200,
      'BTN_INSTALL',
      () => {
        atom.installFromGame();

        if (window.dapi) {
          window.dapi.openStoreUrl();
        } else {
          console.log('Install pressed');
        }
      }
    );

    const runner = this.game.add.sprite(this.game.world.centerY, this.game.world.centerY, 'runner');
    runner.animations.add('run');
    runner.animations.play('run', 10, true);
  }
}
